export default {
  data () {
    return {
      timeOutEvent: null
    }
  },
  methods: {
    gtouchstart(item, ev) {
      this.timeOutEvent = setTimeout(() => {
        this.longPress(item, ev);
      }, 500);
    },
    showDeleteButton() {
      clearTimeout(this.timeOutEvent);
      this.timeOutEvent = null
    },
    gtouchmove() {
      clearTimeout(this.timeOutEvent);
      this.timeOutEvent = 0;
    },
    longPress(item, ev) {
      this.timeOutEvent = 0;
      this[ev](item)
    },
  }
}